Skip to main content
cURL
curl --request GET \
  --url https://test.deribit.com/api/v2/private/get_subaccounts_details \
  --header 'Content-Type: application/json' \
  --data '
{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "private/get_subaccounts_details",
  "params": {
    "currency": "BTC"
  }
}
'
import requests

url = "https://test.deribit.com/api/v2/private/get_subaccounts_details"

payload = {
    "jsonrpc": "2.0",
    "id": 1,
    "method": "private/get_subaccounts_details",
    "params": { "currency": "BTC" }
}
headers = {"Content-Type": "application/json"}

response = requests.get(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'GET',
  headers: {'Content-Type': 'application/json'},
  body: JSON.stringify({
    jsonrpc: '2.0',
    id: 1,
    method: 'private/get_subaccounts_details',
    params: {currency: 'BTC'}
  })
};

fetch('https://test.deribit.com/api/v2/private/get_subaccounts_details', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "jsonrpc": "2.0",
  "result": [
    {
      "uid": 3,
      "positions": [
        {
          "total_profit_loss": -0.000118183,
          "size_currency": 0.004152776,
          "size": 200,
          "settlement_price": 48150.36,
          "realized_profit_loss": -8.79e-7,
          "realized_funding": -8.8e-7,
          "open_orders_margin": 0,
          "mark_price": 48160.55,
          "maintenance_margin": 0.000089286,
          "leverage": 34,
          "kind": "future",
          "instrument_name": "BTC-PERPETUAL",
          "initial_margin": 0.000122508,
          "index_price": 47897.12,
          "floating_profit_loss": -0.00003451,
          "estimated_liquidation_price": 2.33,
          "direction": "buy",
          "delta": 0.004152776,
          "average_price": 49571.3
        }
      ]
    },
    {
      "uid": 10,
      "positions": [
        {
          "total_profit_loss": 0.000037333,
          "size_currency": -0.001308984,
          "size": -60,
          "settlement_price": 47886.98,
          "realized_profit_loss": 0,
          "open_orders_margin": 0,
          "mark_price": 45837.07,
          "maintenance_margin": 0.000028143,
          "leverage": 34,
          "kind": "future",
          "instrument_name": "BTC-3SEP21",
          "initial_margin": 0.000038615,
          "index_price": 47897.12,
          "floating_profit_loss": 0.000037333,
          "estimated_liquidation_price": null,
          "direction": "sell",
          "delta": -0.001308984,
          "average_price": 47182.76
        }
      ]
    }
  ]
}
{
  "jsonrpc": "2.0",
  "message": "<string>",
  "error": 123,
  "id": 123
}

Query Parameters

currency
enum<string>
required

The currency symbol Currency, i.e "BTC", "ETH", "USDC"

Available options:
BTC,
ETH,
USDC,
USDT,
EURR
with_open_orders
boolean

Optional parameter to ask for open orders list, default: false

Response

Success response

jsonrpc
enum<string>
required

The JSON-RPC version (2.0)

Available options:
2.0
result
object[]
required
id
integer

The id that was sent in the request